# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Net-FTPSSL
Version:	0.27
Release:	1.%{__distinit}%{__distvers}
Summary:	Perl module for FTP over SSL/TLS
License:	GPL+ or Artistic
Group:		Development/Libraries
Packager :      Django <django@mailserver.guru>
Distribution:   CentOS 7
URL:		http://search.cpan.org/dist/Net-FTPSSL/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CL/CLEACH/Net-FTPSSL-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Errno)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(IO::Socket::INET)
BuildRequires:	perl(IO::Socket::SSL) >= 1.86
BuildRequires:	perl(Net::HTTPTunnel)
BuildRequires:	perl(Net::SSLeay::Handle)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sys::Hostname)
BuildRequires:	perl(Time::Local)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::HomeDir)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Net::HTTPTunnel)

%description
Net::FTPSSL is a class implementing a simple FTP client over a Secure
Sockets Layer (SSL) or Transport Layer Security (TLS) connection written in
Perl as described in RFC959 and RFC2228. It will use TLS by default.

%prep
%setup -q -n Net-FTPSSL-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
PERL_MM_USE_DEFAULT=1 make test

%clean
rm -rf %{buildroot}

%files
%doc Changes README
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::FTPSSL.3*

%changelog
* Thu Jul 2 2015 Django <django@mailserver.guru> 0.27-1
- Initial build for CentOS 7

